<template>
  <div class="high-view-scope">
    <el-dialog
      title="查询范围-高级"
      :visible.sync="editConfig.visible"
      :width="dialogWidth"
      :before-close="handleClose"
    >
      <div class="view-sel-bg">
        <div class="title">查询选择</div>
        <el-input v-model="searchInput" size="mini" placeholder="请输入要查找的成员"></el-input>
        <el-checkbox v-model="resignMember">显示离职成员</el-checkbox>
        <el-checkbox v-model="defaultCollapse">子部门默认收起</el-checkbox>
      </div>
      <div class="view-tree">
        <el-tree
          :data="data"
          show-checkbox
          default-expand-all
          node-key="id"
          ref="tree"
          highlight-current
          :props="defaultProps"
        >
        </el-tree>
      </div>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" size="small" @click="editConfig.visible = false">确认</el-button>
        <el-button size="small" @click="editConfig.visible = false">取消</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>
export default {
  name: "HighViewScopeDialog",
  props: {
    editCommonConfig: {
      type: Object,
      default: () => {
        return {
          visible: false,
          infomation: {}
        }
      }
    }
  },
  components: {},
  computed: {},
  data() {
    return {
      dialogWidth: "35%",
      editConfig: this.editCommonConfig,
      data: [
        {
          id: 1,
          label: "上海灵当信息科技有限公司",
          children: [
            {
              id: 1 - 1,
              label: "销售部",
              children: [
                {
                  id: 1 - 1 - 1,
                  label: "Mia"
                },
                {
                  id: 1 - 1 - 2,
                  label: "系统管理员"
                },
                {
                  id: 1 - 1 - 3,
                  label: "销售"
                },
                {
                  id: 1 - 1 - 4,
                  label: "销售总监"
                },
                {
                  id: 1 - 1 - 5,
                  label: "销售一部",
                  children: []
                },
                {
                  id: 1 - 1 - 6,
                  label: "销售二部",
                  children: []
                }
              ]
            },
            {
              id: 2 - 1,
              label: "管理层",
              children: [
                {
                  id: 2 - 1 - 1,
                  label: "BOSS"
                },
                {
                  id: 2 - 1 - 2,
                  label: "系统管理员"
                }
              ]
            },
            {
              id: 3 - 1,
              label: "财务部",
              children: []
            },
            {
              id: 4 - 1,
              label: "市场部",
              children: []
            }
          ]
        }
      ],
      defaultProps: {
        children: "children",
        label: "label"
      },
      searchInput: "",
      resignMember: false,
      defaultCollapse: false
    }
  },
  created() {},
  methods: {
    handleClose() {
      this.editConfig.visible = false
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
.high-view-scope {
  .view-sel-bg {
    display: flex;
    align-items: center;
    margin: 20px 20px 0;
    .el-input {
      width: 240px;
      margin-left: 5px;
    }
    .el-checkbox {
      margin-left: 5px;
      margin-right: 0;
    }
  }
  .view-tree {
    margin: 10px 20px 20px;
  }
  .dialog-footer {
    background-color: #f5f5f5;
    height: 55px;
    line-height: 55px;
  }
}
</style>
